info:
  name: Test Remote WS
  type: http
  seq: 6

http:
  method: GET
  url: https://console-unipr.elixforms.it//eF/api/remote/www-idem-unipr-it/ws-elix-progetti__pj.php/v1
  headers:
    - name: x-requested-with
      value: XMLHttpRequest
  body:
    type: form-urlencoded
    data:
      - name: username
        value: "{{elixFormsApiUsername}}"
      - name: requestStatus
        value: ""
        description: "nuovo stato della request, possibili valori: SUBMITTED, PROCESSED"
        disabled: true
      - name: swfOptionKey
        value: ""
        description: |-
          indice del valore associato al SWF che si desidera impostare

          più chiaramente, si suppone che il modulo associato alla richiesta abbia un SWF impostato, cioè avente degli stati personalizzati, e che esista un campo SELECT contenente tali stati: il valore indicato da questo parametro è l'indice (base 1) del nuovo stato personalizzato che si vuole impostare
        disabled: true
      - name: properties
        value: '[{"key":"COL0004","value":"cambio stato manuale"},{"key":"COL0002","value":"31-03-2025"}]'
        description: |-
          mappa chiave,valore/i aggiuntivo/i in formato json (url-encoding richiesto in UTF-8)

          il formato è del tipo: `[{"key":"COL0004","value":"cambio stato manuale"},{"key":"COL0002","value":"31-03-2025"}]`
        disabled: true
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true
